Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Limit the number of tasks to return.

Required range: 1 <= x <= 100
offset
integer
default:0

Offset the number of tasks to return.

Required range: x >= 0
session_id
string

Only return tasks linked to this browser ID.

Response

List of tasks

created_at
string<date-time>
required

When the task was created

description
string
required

What the task is meant to accomplish

id
string
required

Unique identifier for the task

metadata
object
required

Caller-defined string key-value pairs for grouping and filtering tasks, such as a user or thread ID. At most 20 keys; keys are 1-64 characters, values at most 256 characters, and keys and values together at most 4 KB.

Example:
session_ids
string[]
required

IDs of browsers linked to the task, oldest link first. Linked browsers may since have been deleted.

started_at
string<date-time>
required

When work on the task started

target_website
string | null

Hostname of the website the task targets